﻿@model IEnumerable<SSCMvc.Models.St_VisaType>
@using SSCMvc.Models;
@using SSCMvc.Webutil;

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Visa Type
    </h1>
</div>
@section scripts{
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>

    <script type="text/javascript">

        deleterecord("MaSecurity");
    </script>
}
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Visa Type </li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }


        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>

        <p class="datail_style">
            @Html.ActionLink("Create New", "Create")
        </p>
        <div class="well">
            <table class="table" id="example">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.EnqAbt)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.VisaType)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.EnqAbt)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.VisaType)
                    </td>
                    <td>
                        @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                        @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                        @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                    </td>
                </tr>
                }

            </table>

        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>